## ros-indigo-libqsopt 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(libqsopt)

find_package(catkin REQUIRED)

catkin_destinations() # set-up destination variables
file(MAKE_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION})

find_program(CMAKE_DPKG dpkg /bin /usr/bin /usr/local/bin) 
if(CMAKE_DPKG)
  exec_program(dpkg ARGS --print-architecture OUTPUT_VARIABLE CMAKE_DPKG_ARCH)
  if(CMAKE_DPKG_ARCH MATCHES "amd64")
    message(STATUS "+++++++++++++++++ DETECTED 64 bit +++++++++++++++++")
    set(MYARCH "Qsopt_64")
    set(SUPPORTED "true")
  elseif(CMAKE_DPKG_ARCH MATCHES "i386")
    message(STATUS "+++++++++++++++++ DETECTED 32 bit +++++++++++++++++")
    set(MYARCH "Qsopt_32")
    set(SUPPORTED "true")
  else()
    message(WARNING "+++++++++++++++++ UNSUPPORTED ARCHITECTURE, UNABLE TO USE QSOPT +++++++++++++++++")
    set(SUPPORTED "false")
  endif()
endif()

if(SUPPORTED MATCHES "true")
  catkin_package(
    CFG_EXTRAS libqsopt-extras.cmake # catkin_package does not support artifacts in devel space
  )

  # Concorde expects qsopt.a to be in the same directory as qsopt.h --> static library, when using in another package one has to provide an absolute path to it
  add_custom_target(
    build_qsopt ALL
      # copy headers to devel space (catkin does not like headers in source space)
      COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_SOURCE_DIR}/common/lib/${MYARCH}/qsopt.h ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}
      # copy static lib to include destination as well because concorde needs both files in the same folder
      COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_SOURCE_DIR}/common/lib/${MYARCH}/qsopt.a ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}
  )

  install(FILES ${PROJECT_SOURCE_DIR}/common/lib/${MYARCH}/qsopt.h
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  )

  install(FILES ${PROJECT_SOURCE_DIR}/common/lib/${MYARCH}/qsopt.a
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )
endif()

=== debian/changelog ===
ros-indigo-libqsopt (0.6.12-0trusty) trusty; urgency=high

  * Merge pull request #92 <https://github.com/ipa320/cob_extern/issues/92> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #91 <https://github.com/ipa320/cob_extern/issues/91> from ipa-rmb/indigo_dev
    fixed libqsopt and libconcorde_tsp_solver
  * fixed libqsopt and libconcorde_tsp_solver
  * Contributors: Felix Messmer, Richard Bormann

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-libqsopt (0.6.11-0trusty) trusty; urgency=high

  * fix include_dirs in cmake_extras
  * final consistency
  * migrated libqsopt to catkin-native wrapping
  * license workarounds
  * added authors of Qsopt
  * style check
  * minor changes
  * continued workaround before merge with ipa320
  * catkin workaround before merge with ipa320
  * changed libdlib and libqsopt to provide the static library right
  * updated package.xml for libqsopt and libconcorde-tsp-solver
  * concorde tests if architecture is supported for qsopt
  * absolut path to qsopt found by cmake
  * separated Qsopt and Concorde into two packages
  * Contributors: ipa-fxm, ipa-rmb-fj

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 16 Jul 2017 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-libqsopt
Section: misc
Priority: extra
Maintainer: Richard Bormann <richard.bormann@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), dpkg, ros-indigo-catkin
Homepage: http://www.math.uwaterloo.ca/~bico/qsopt/index.html
Standards-Version: 3.9.2

Package: ros-indigo-libqsopt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg
Description: Wrapper for the Qsopt linear programming solver.
 The code was obtained from http://www.math.uwaterloo.ca/~bico/qsopt/index.html, all rights on Qsopt go to the authors David Applegate, William Cook, Sanjeeb Dash, and Monika Mevenkamp. The library doesn't explicitly provide a license, but allows the free use for research or educational purposes. For further questions on licensing, contact the previous listed authors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-libqsopt//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
